Bug 41786 - Mono is broken when building with the macOS 10.12 SDK
Summary: Mono is broken when building with the macOS 10.12 SDK
Status: RESOLVED FIXED
Alias: None
Product: Runtime
Classification: Mono
Component: General (show other bugs)
Version: unspecified
Hardware: PC Mac OS
: --- critical
Target Milestone: ---
Assignee: Bugzilla
URL:
Depends on:
Blocks:
 
Reported: 2016-06-14 07:25 UTC by Rolf Bjarne Kvinge [MSFT]
Modified: 2016-06-22 10:30 UTC (History)
3 users (show)

Tags:
Is this bug a regression?: ---
Last known good build:


Attachments

Description Rolf Bjarne Kvinge [MSFT] 2016-06-14 07:25:45 UTC
This happens:

Dyld Error Message:
  Symbol not found: _clock_getres
  Referenced from: /work/*/mono
  Expected in: /usr/lib/libSystem.B.dylib

because apparently macOS 10.12 has implemented clock_getres now, and we enter this: https://github.com/mono/mono/blob/master/mono/utils/mono-time.c#L150, but that obviously doesn't execute on older OSXes.
Comment 2 Rolf Bjarne Kvinge [MSFT] 2016-06-14 14:15:47 UTC
This might be a bug in Apple's headers, which don't hide the symbol when targeting an earlier macOS: https://gist.github.com/rolfbjarne/b2160f954f8b6ab1debd7c1ec22e9851
Comment 3 Alexander Köplinger [MSFT] 2016-06-14 14:48:03 UTC
I sent a PR which should workaround this: https://github.com/mono/mono/pull/3165
Comment 4 Alexander Köplinger [MSFT] 2016-06-14 17:16:11 UTC
Committed to master and 4.5.1.

@Rolf: can you please file a radar with Apple so that they can fix this?

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.


Create a new report for Bug 41786 on Developer Community or GitHub if you have new information to add and do not yet see a matching report.

  • Export the original title and description: Developer Community HTML or GitHub Markdown
  • Copy the title and description into the new report. Adjust them to be up-to-date if needed.
  • Add your new information.

In special cases on GitHub you might also want the comments: GitHub Markdown with public comments


Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.

Related Links: